AOZ Studio Beta - Bug #128

Text Base returns wrong values.
02/05/2020 11:27 AM - Brian Flanagan

Status: Closed Start date: 02/05/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.5

Affected version: 0.9.5.1

Description

Example: Help_79 from AMOSPro_Examples disk.

The wrong Text Base is why the Bar height is wrong (too short). Text Base should return between 6 and 18 for this example, but
instead return between 0 and 2. (These values were obtained by making some modifications to Help_79, and running the code on
AOZ and UAE.) The entire functional code with the modifications annotated are shown below:

Screen Open 0,640,200,16,Hires : Flash Off
Palette $0,$300,$30,5%3,5$330,%$303,%33,$320, $FFF, $F00, $SFQO, $F, SFF0O, SFOF, SFF, SF70
Curs Off : Cls 0 : Ink 3,0

Set Paint 1 : Gr Writing O
Get Fonts

Do
For S=1 To 7

Set Text S

For F=1 To 7
If Mouse Key Then Exit 3
Set Font F
T$="AMOS Professional" : Rem Set as varible to simplify BJF
L=Text Length(T$) : Rem BJF
B=Text Base
LB=Text Length(Str$(B)) : Rem Get length of B (as string). BJF
I=Rnd(6)+1
Ink I,,Rnd(15)
X=Rnd (350)+5 : Y=Rnd(175)
Bar X,Y To X+L+8+LB,Y+B+8 : Rem Add LB to bar width. BJF
Ink I+8,I
Text X+4,Y+B+4,T$+Str$(B) : Rem Append B to TS$. BJF
Wait 10

Next

Wait 10

Next
Loop

FYI: Used " : Rem "vs just"'" to ensure code works on both AOZ and UAE.

History

#1 - 02/22/2020 06:49 AM - Francois Lionet
- Status changed from New to Resolved
- Assignee set to Francois Lionet

- Target version set to 0.9.5

Fixed!

#2 - 02/28/2020 08:46 PM - Brian Flanagan

- Status changed from Resolved to Closed
- Affected version changed from 0.9.4 to 0.9.5.1

Retested in 0.9.5.1. It's working now!

(Help_79, and my example above still have some other issues though including Gr Writing mode not working.)
